const APP_DISPLAY_NAME = "Quick Reply";
const APP_NAME = "quickreply";
const APP_PACKAGE = "/EWessels/quickreply";
const APP_VERSION = "0.5.3";
const AUTHOR = "D. Thomson, D. Fraser, E. Wessels F. DiLecce";
const APP_JAR_FILE = "quickreply.jar";
const APP_LOCALE_FOLDER  = "locale/en-US/messenger-quickreply/";
const APP_CONTENT_FOLDER = "content/messenger-quickreply/";

//const APP_SUCCESS_MESSAGE = "You may need to restart Thunderbird first.";
// Firebird and thunderbird now give their own success message

//const INST_TO_PROFILE = "Do you wish to install "+APP_DISPLAY_NAME+" to your profile?\nThis will mean it does not need reinstalling when you update //Thunderbird.\n(Click Cancel if you want "+APP_DISPLAY_NAME+" installing to the application directory.)";
// change the question to yes or no to install

const INST_TO_PROFILE = "Do you wish to install "+APP_DISPLAY_NAME+" ?";

// profile installs only work since 2003-03-06
var instToProfile = confirm(INST_TO_PROFILE);
var InstIt = 0
var inst = instToProfile ? InstIt = 1 : InstIt = 0;
if(InstIt == 1) {
    initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);
    var chromef = instToProfile ? getFolder("Profile", "chrome") : getFolder("chrome");
    var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null)

    if(err == SUCCESS) {
        var jar = getFolder(chromef, APP_JAR_FILE);
	    if(instToProfile) {
            registerChrome(CONTENT | PROFILE_CHROME, jar, APP_CONTENT_FOLDER);
            registerChrome(LOCALE  | PROFILE_CHROME, jar, APP_LOCALE_FOLDER);
   	        // registerChrome(SKIN    | PROFILE_CHROME, jar, APP_SKIN_FOLDER);
        } else {
            registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_FOLDER);
   	        // registerChrome(SKIN    | DELAYED_CHROME, jar, APP_SKIN_FOLDER);
        }
        err = performInstall();
        if(err == SUCCESS || err == 999) {
            
        } else {
	        alert("Install failed. Error code:" + err);
	        cancelInstall(err);
        }
    } else {
	    alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to your profile or chrome directory). \n"
		+"_____________________________\nError code:" + err);
        cancelInstall(err);
    }
} else {
    cancelInstall(-210)
}